Debian Bug report logs - #733548
ITA: libclass-contract-perl -- Design-by-Contract OO in Perl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nacho Barrientos Arias <nacho@debian.org>

Date: Sun, 29 Dec 2013 21:45:02 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: normal

Fixed in version libclass-contract-perl/1.14-8

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nacho@debian.org, wnpp@debian.org:
Bug#733548; Package wnpp. (Sun, 29 Dec 2013 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nacho Barrientos Arias <nacho@debian.org>:
New Bug report received and forwarded. Copy sent to nacho@debian.org, wnpp@debian.org. (Sun, 29 Dec 2013 21:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <nacho@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libclass-contract-perl -- Design-by-Contract OO in Perl
Date: Sun, 29 Dec 2013 18:56:18 +0000
Package: wnpp
Severity: normal



Changed Bug title to 'ITA: libclass-contract-perl -- Design-by-Contract OO in Perl' from 'O: libclass-contract-perl -- Design-by-Contract OO in Perl' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 12 Jan 2014 15:30:12 GMT) Full text and rfc822 format available.

Owner recorded as gregor herrmann <gregoa@debian.org>. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 12 Jan 2014 15:30:13 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 12 Jan 2014 15:51:12 GMT) Full text and rfc822 format available.

Notification sent to Nacho Barrientos Arias <nacho@debian.org>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 15:51:12 GMT) Full text and rfc822 format available.

Message #14 received at 733548-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 733548-close@bugs.debian.org
Subject: Bug#733548: fixed in libclass-contract-perl 1.14-8
Date: Sun, 12 Jan 2014 15:49:29 +0000
Source: libclass-contract-perl
Source-Version: 1.14-8

We believe that the bug you reported is fixed in the latest version of
libclass-contract-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733548@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libclass-contract-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 Jan 2014 16:43:08 +0100
Source: libclass-contract-perl
Binary: libclass-contract-perl
Architecture: source all
Version: 1.14-8
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libclass-contract-perl - Perl Design-by-Contract OO module
Closes: 733548
Changes: 
 libclass-contract-perl (1.14-8) unstable; urgency=medium
 .
   * Take over for the Debian Perl Group; Closes: #733548 -- RFA/ITA
   * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
     field (source stanza); ${misc:Depends} to Depends: field. Changed:
     Homepage field changed to metacpan.org URL; Maintainer set to Debian
     Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was:
     Debian QA Group <packages@qa.debian.org>).
   * debian/watch: use metacpan-based URL.
   * Switch to "3.0 (quilt)" source format.
   * Use dh(1) and debhelper compatibility level 8.
   * Don't install README anymore.
   * debian/copyright: switch formatting to Copyright-Format 1.0.
   * Add /me to Uploaders.
   * Drop version from perl build dependency.
   * Fix hashbang in example script.
   * Declare compliance with Debian Policy 3.9.5.
Checksums-Sha1: 
 ee1460d9dd358615955056370a041ef91abe70f8 2089 libclass-contract-perl_1.14-8.dsc
 32154b943e4045be904af80a6656351a470d886e 2596 libclass-contract-perl_1.14-8.debian.tar.gz
 d0f6bab1f1bb188fd98ab72d780b44d286c1e6e2 44038 libclass-contract-perl_1.14-8_all.deb
Checksums-Sha256: 
 3f98aad3c460408bb1b105ef11eaaa78949d4fa97b579aa7f5e22a54c0791d73 2089 libclass-contract-perl_1.14-8.dsc
 0bd63a7f47076ac8312678f3c1023e538359744f7ab79bc26e89291efc138b02 2596 libclass-contract-perl_1.14-8.debian.tar.gz
 1c15f2fe3b1b8bcadd85d7832626975a25c777a48cfc41c4d058a554dc1baebb 44038 libclass-contract-perl_1.14-8_all.deb
Files: 
 84ea22a97969e62cee0dd79a25bc66ee 2089 perl optional libclass-contract-perl_1.14-8.dsc
 85ad38c0c26cc259009d9e997dcdb7ab 2596 perl optional libclass-contract-perl_1.14-8.debian.tar.gz
 7f7e452fe1f551103f678570db9fe900 44038 perl optional libclass-contract-perl_1.14-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS0rg9AAoJELs6aAGGSaoG0w0QAMMlpLMA5S1/6U2JbC8k7aBO
QVlvLMHqX/WR7beJmVkqCy/6eFgWEMiT448GiFAlnk/lx7fx04o7dq1UHivwmDaT
y6Ye5bOpo40dhR6Ks2AravlugIXDjcrtEydTCnNxTnSMVHK+pHmWsipXTkbwETil
E345KIvie9AEFGT7IJqh76BdzW5XOqhil4RjU93/AQVRtM40CZX1/OLmHwQhwsyw
p2DERxnxbBcRq4XSySTIqKQzDxtnTgQpSsRz/D2nhWSxzlMkeVllLTHLJZUxV4Dy
sm/TaK6CJVN2DwgUuJUiE1/N3+1szl9tEScvsyXLRlAqt1e+stNBR6pUAeOnXLKd
Xk/JDl/Q6731UCVyrJLAnxj+6QPYiKBNX2zMwRn6K1pYKerNsMaE+UljixXnL/5U
Rx/9dyKVAqwAVzcAaeJb6vLyY2rCLhwQ1toE3H/pBnyB2saG6npCzIubqfJ4bJR3
N6mLqj+mZ9ltASj69Qt6hNWKbsx/uv2W47xILrVTe5g569cDtB/a3BQPdBF0ZRb8
/FEK8Gpskf9/4YDkF46VCDQ1YcaHTx36nAkw0r7TV9o3a5n9TQyR32JOhSxXHDmD
s3tTARE1LxGyUBvkOKlLVOIANiwFuMsHvSRb+XDbCqU1+Jo3C4AYbOfJ4o4iKL3Y
q4WccdY5BgUd3zxWc72r
=Piim
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:53:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.